Workout With Friends Stay fit with a little motivation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Properties
Public Member Functions | Public Attributes | Static Public Attributes | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
wowf.models.tokens.LoginToken Class Reference

Remember me login token. More...

Inheritance diagram for wowf.models.tokens.LoginToken:
Collaboration diagram for wowf.models.tokens.LoginToken:

## Public Member Functions
def | __init__
def | create
def | is_valid
Public Member Functions inherited from wowf.models.tokens.Token
def | user_id
def | user
def | __init__
def | __unicode__
def | create
def | get_by_token
def | delete_expired
def | is_valid

## Public Attributes
| user_agent
Public Attributes inherited from wowf.models.tokens.Token
| user
| expires_at

## Static Public Attributes
tuple | user_agent = synonym('_user_agent', descriptor=property(_get_user_agent, _set_user_agent))
Static Public Attributes inherited from wowf.models.tokens.Token
tuple | id = Column(Integer(unsigned=True), primary_key=True)
tuple | token = Column(CHAR(36), nullable=False, unique=True, default=lambda: str(uuid.uuid4()))
tuple | created_at = Column(DateTime, nullable=False, default=current_timestamp)
tuple | expires_at = Column(DateTime, nullable=False)

## Private Member Functions
def | _get_user_agent
def | _set_user_agent
| Hash the given user agent.
def | _check_user_agent

## Private Attributes
| _user_agent

## Static Private Attributes
string | __tablename__ = 'login_tokens'
tuple | _user_agent = Column('user_agent', CHAR(32), nullable=False)

## Detailed Description

Remember me login token.

Definition at line 56 of file tokens.py.

## Constructor & Destructor Documentation

def wowf.models.tokens.LoginToken.__init__ | ( |  | self,
|  |  | user,
|  |  | lifetime,
|  |  | user_agent
| ) |  |

Definition at line 76 of file tokens.py.

## Member Function Documentation

def wowf.models.tokens.LoginToken._check_user_agent | ( |  | self,
|  |  | user_agent
| ) |  |
| private

Definition at line 71 of file tokens.py.

def wowf.models.tokens.LoginToken._get_user_agent | ( |  | self | ) |
| private

Definition at line 61 of file tokens.py.

def wowf.models.tokens.LoginToken._set_user_agent | ( |  | self,
|  |  | user_agent
| ) |  |
| private

Hash the given user agent.

Definition at line 68 of file tokens.py.

def wowf.models.tokens.LoginToken.create | ( |  | cls,
|  |  | user,
|  |  | lifetime,
|  |  | user_agent
| ) |  |

Definition at line 81 of file tokens.py.

def wowf.models.tokens.LoginToken.is_valid | ( |  | self,
|  |  | user_agent
| ) |  |

Definition at line 84 of file tokens.py.

## Member Data Documentation

string wowf.models.tokens.LoginToken.__tablename__ = 'login_tokens'
| static private

Definition at line 58 of file tokens.py.

tuple wowf.models.tokens.LoginToken._user_agent = Column('user_agent', CHAR(32), nullable=False)
| static private

Definition at line 59 of file tokens.py.

wowf.models.tokens.LoginToken._user_agent
| private

Definition at line 69 of file tokens.py.

wowf.models.tokens.LoginToken.user_agent

Definition at line 72 of file tokens.py.

tuple wowf.models.tokens.LoginToken.user_agent = synonym('_user_agent', descriptor=property(_get_user_agent, _set_user_agent))
| static

Definition at line 74 of file tokens.py.

The documentation for this class was generated from the following file:

- wowf/models/tokens.py